> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Web Store Personalization

> Triggers the [Personalize Web Store Callback](./personalize-webstore-callback) for all players.

When refreshing data for all active players, Appcharge identifies everyone currently browsing the web store, and updates their store view in real time.


<RequestExample>
  ```bash Trigger Personalization for All Players theme={"system"}
  curl -X POST \
    'https://api.appcharge.com/store/v1/personalization/refresh-active-players' \
    -H 'Content-Type: application/json' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Trigger Personalization for All Players theme={"system"}
  {
    "message": "Event triggered for publisher 6422d554acc1a482bac4698e7"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-trigger-webstore-personalization.json POST /refresh-active-players
openapi: 3.0.1
info:
  title: Trigger Web Store Personalization
  version: 1.0.0
  description: >-
    Triggers personalization for all active players in the web store. This API
    allows you to trigger the Personalize Web Store Callback for all active
    players. It is used to sync player data and update offers in the web store
    in real-time.
servers:
  - url: https://api.appcharge.com/store/v1/personalization
security: []
paths:
  /refresh-active-players:
    post:
      summary: Triggers the Personalization API
      description: >-
        Triggers the [Personalize Web Store
        Callback](./personalize-webstore-callback) for all players. 

         When refreshing data for all active players, Appcharge identifies everyone currently browsing the web store, and updates their store view in real time.
      operationId: triggerPersonalization
      parameters:
        - in: header
          name: x-publisher-token
          schema:
            type: string
          required: true
          description: Publisher token.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    description: Success message.
                    type: string
                    example: Event triggered for publisher 6422d554acc1a482bac4698e7
        '400':
          description: Bad request. Missing or invalid parameters.
        '500':
          description: Internal server error.

````